import { ViewContainerRef, OnInit, ComponentFactoryResolver, Type } from '@angular/core';
import { GridView } from './gridview';
import { DataColumn } from './gridview-columns';
import { IGridViewCellTemplateComponent, IGridViewComponent } from './gridview-interfaces';
export declare class GridViewCellTemplateDirective implements OnInit, IGridViewCellTemplateComponent {
    private componentFactoryResolver;
    private viewContainerRef;
    private _component;
    column: DataColumn;
    row: any;
    parentGridView: GridView;
    parentGridViewComponent: IGridViewComponent;
    gridviewCellTemplate: Type<IGridViewCellTemplateComponent>;
    constructor(componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
}
