import { GridView } from './gridview';
import { DataColumn } from './gridview-columns';
import { FieldType } from './gridview-enums';
import { GridViewComponent } from './gridview.component';
import { ParserService } from '../services/parser.service';
export declare class GridViewCellComponent {
    protected parserService: ParserService;
    column: DataColumn;
    row: any;
    parentGridViewComponent: GridViewComponent;
    parentGridView: GridView;
    first: boolean;
    last: boolean;
    index: number;
    self: this;
    fieldType: typeof FieldType;
    readonly editing: boolean;
    readonly showRequired: boolean;
    constructor(parserService: ParserService);
    getObjectValue(def?: any): any;
    compareSelectOption: (a: any, b: any) => boolean;
}
