import { OnInit, ElementRef } from '@angular/core';
import { GridView } from './gridview';
import { DataColumn } from './gridview-columns';
import { FilterMode } from './gridview-enums';
import { IGridViewFilterCellComponent } from './gridview-interfaces';
import { GridViewComponent } from './gridview.component';
export declare class GridViewFilterCellComponent implements OnInit, IGridViewFilterCellComponent {
    protected elementRef: ElementRef;
    column: DataColumn;
    parentGridView: GridView;
    parentGridViewComponent: GridViewComponent;
    self: this;
    checklistItems: any[];
    filterMode: typeof FilterMode;
    constructor(elementRef: ElementRef);
    protected parentWidth: number;
    ngOnInit(): void;
    private _lastChange;
    filterChanged(): void;
    private fireFilter();
    clearFilter(): void;
}
