import { ViewContainerRef, ComponentFactoryResolver, OnInit, ElementRef, EventEmitter, OnChanges } from '@angular/core';
import { ParserService } from '../services/parser.service';
export declare class TypeaheadDirective implements OnInit, OnChanges {
    private componentFactoryResolver;
    private viewContainerRef;
    private elementRef;
    private parserService;
    private _component;
    private valueWritten;
    ngModel: any;
    ngModelChange: EventEmitter<any>;
    private _initialColor;
    dataSource: any;
    displayMember: string;
    matchOn: Array<string>;
    limitToList: boolean;
    valueMember: string;
    minLength: number;
    waitMs: number;
    hideButton: boolean;
    itemSelected: EventEmitter<any>;
    objectSelected: EventEmitter<any>;
    popupHeight: string;
    constructor(componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef, elementRef: ElementRef, parserService: ParserService);
    ngOnInit(): void;
    private _keyIsTabOrEnter;
    protected keydown(event: any): void;
    protected keyup(event: any): void;
    ngOnChanges(changes: any): void;
    private setText(v);
}
