import { EventEmitter, OnInit, NgZone } from '@angular/core';
export declare class CheckListItem {
    item: any;
    selected: boolean;
    constructor(item: any);
}
export declare class CheckListComponent implements OnInit {
    private zone;
    displayMember: string;
    class: string;
    showFilterIcon: boolean;
    disableAll: boolean;
    popupHeight: string;
    selectionChanged: EventEmitter<any>;
    displayItems: Array<CheckListItem>;
    allSelected: boolean;
    selectedText: string;
    dropdownVisible: boolean;
    uniqueId: string;
    private currentonclick;
    constructor(zone: NgZone);
    private _value;
    selectedItems: any;
    private _dataSource;
    dataSource: Array<any>;
    private updateSelection(init?);
    private equals(x, y);
    private updateSelectedCollection(items);
    selectItem(item: CheckListItem): void;
    selectAll(): void;
    ngOnInit(): void;
}
