import { EventEmitter, OnInit, NgZone, ElementRef } from '@angular/core';
export declare class DateTimePickerComponent implements OnInit {
    private zone;
    elementRef: ElementRef;
    hideDate: boolean;
    hideTime: boolean;
    selectOnCalendarClick: boolean;
    minDate: Date;
    maxDate: Date;
    minuteStep: number;
    uniqueId: string;
    dropdownVisible: boolean;
    timezone: string;
    dateChanged: EventEmitter<Date>;
    private _lock;
    private _innerValue;
    private innerValue;
    private selectedDate;
    private currentonclick;
    dayNames: string[];
    weekNumbers: number[];
    months: {
        number: number;
        name: string;
    }[];
    calendarDates: Array<Array<any>>;
    selectedMonth: number;
    selectedYear: number;
    selectedHour: string;
    selectedMinute: string;
    selectedAMPM: string;
    constructor(zone: NgZone, elementRef: ElementRef);
    ngOnInit(): void;
    private getMinuteInt();
    getMoment(dt?: any): any;
    refreshCalendarDates(): void;
    formatMinute(): void;
    private getHourInt();
    formatHour(): void;
    selectNow(): void;
    showDropdown(): void;
    updateDateTimeControls(newDateTime: any): void;
    datesAreEqual(date: any): boolean;
    addMonth(backwards: any): void;
    addYear(backwards: any): void;
    addHour(backwards: any): void;
    selectDate(date: any, fromInput?: boolean): void;
    persistDate(alreadySelected?: boolean, fromInput?: boolean): void;
    addMinute(backwards: any): void;
    writeValue(value: Date): void;
}
