import { ViewContainerRef, OnInit, ComponentFactoryResolver, ElementRef, EventEmitter, OnChanges } from '@angular/core';
import { Validator, AbstractControl } from '@angular/forms';
export declare const MAX_MIN_VALIDATOR: any;
export declare class DateTimePickerDirective implements OnInit, OnChanges, Validator {
    private componentFactoryResolver;
    private viewContainerRef;
    private elementRef;
    private _component;
    private _initialColor;
    protected inputChanged: boolean;
    ngModel: any;
    ngModelChange: EventEmitter<any>;
    hideDate: boolean;
    hideTime: boolean;
    selectOnCalendarClick: boolean;
    minDate: Date;
    maxDate: Date;
    minuteStep: number;
    timezone: string;
    private _dateFormat;
    dateFormat: string;
    constructor(componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef, elementRef: ElementRef);
    ngOnInit(): void;
    blurEditor(): void;
    ngOnChanges(changes: any): void;
    keyup(event: any): void;
    private formatDate(date);
    validate(c: AbstractControl): {
        max: boolean;
        min?: undefined;
    } | {
        min: boolean;
        max?: undefined;
    };
}
