import { EventEmitter, ElementRef, NgZone, AfterViewInit } from '@angular/core';
import { GridView } from './gridview';
import { DataColumn } from './gridview-columns';
import { IGridViewComponent } from './gridview-interfaces';
import { SortDirection } from '../shared';
export declare class GridViewHeaderCellComponent implements AfterViewInit {
    elementRef: ElementRef;
    private zone;
    column: DataColumn;
    parentGridView: GridView;
    parentGridViewComponent: IGridViewComponent;
    columnIndex: number;
    first: boolean;
    last: boolean;
    printing: boolean;
    sortChanged: EventEmitter<DataColumn>;
    widthChanged: EventEmitter<DataColumn>;
    constructor(elementRef: ElementRef, zone: NgZone);
    ngAfterViewInit(): void;
    sortDirection: typeof SortDirection;
    setSort(column: DataColumn, event: any): void;
    private _origMove;
    private _origUp;
    private _origX;
    private _lockedColumns;
    private _parentTH;
    private _origWidth;
    startResize(evt: any): void;
    protected endResize(): void;
    private _resized;
    private resize(event);
    private setColumnSize(parentTH, width);
    private COLUMN_ID;
    dragOver(event: any): void;
    dragStart(event: any): void;
    drop(event: any): void;
    private changeColumnOrder(sourceIdentifier, targetIdentifier);
}
