import { EventEmitter } from '@angular/core';
import { GridView } from './gridview';
import { IGridViewComponent } from './gridview-interfaces';
import { PagingType } from './gridview-enums';
export declare class GridViewPagerComponent {
    parentGridViewComponent: IGridViewComponent;
    parentGridView: GridView;
    pageChanged: EventEmitter<number>;
    pageChanging: EventEmitter<any>;
    pagingType: typeof PagingType;
    moreToLeft: boolean;
    moreToRight: boolean;
    pageSizes: Array<any>;
    setPage(page: number): void;
    private getTotalPages();
    getPageArray(): number[];
    gotoLast(): void;
}
