import { Type } from '@angular/core';
import { Observable } from 'rxjs';
export declare class TreeViewNode {
    dataItem: any;
    text: string;
    class: string;
    isExpanded: boolean;
    childNodes: Array<TreeViewNode>;
    getChildNodes: (parent: any) => Observable<Array<TreeViewNode>>;
    template: Type<ITreeViewNodeTemplateComponent>;
}
export interface ITreeViewNodeTemplateComponent {
    node: TreeViewNode;
}
