import { ViewContainerRef, ComponentFactoryResolver, OnInit, ElementRef, EventEmitter } from '@angular/core';
import { ParserService } from '../services/parser.service';
export declare class MultiTypeaheadDirective implements OnInit {
    private componentFactoryResolver;
    private viewContainerRef;
    private elementRef;
    private parserService;
    private _component;
    multiTypeahead: Array<any>;
    dataSource: any;
    displayMember: string;
    matchOn: Array<string>;
    isReadOnly: boolean;
    minLength: number;
    waitMs: number;
    popupHeight: string;
    itemSelected: EventEmitter<any>;
    objectSelected: EventEmitter<any>;
    constructor(componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef, elementRef: ElementRef, parserService: ParserService);
    ngOnInit(): void;
    protected keydown(event: any): void;
    protected keyup(event: any): void;
    protected resize(): void;
}
